Bug 750566 - qtparted won't install because it is from F15 and requires libparted.so.0, and F16 has so.1
qtparted won't install because it is from F15 and requires libparted.so.0, an...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qtparted (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-01 11:28 EDT by Przemek Klosowski
Modified: 2013-02-13 17:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:27:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Przemek Klosowski 2011-11-01 11:28:16 EDT
Description of problem:

I installed F16 RC2, and tried to install qtparted.
It won't install because the most recent qtparted RPM is from F15 and requires libparted.so.0, and F16 has libparted.so.1 pulled in by F16's parted.

Version-Release number of selected component (if applicable):


How reproducible: reproducible


Steps to Reproduce:
1. install F16 release candidate 2, live version
2. yum install qtparted
3. observe yum error messages
  
Actual results:
Unfortunately don't have access to the system

Expected results:


Additional info:
Comment 1 Kevin Kofler 2011-11-11 22:39:39 EST
So, as I wrote on the devel mailing list, I think we need a parted2 compatibility package. I have to say I find it outright rude that the Fedora parted maintainer didn't provide one despite the major functionality removal, and also didn't announce the incompatible API and ABI change to the devel mailing list as he's supposed to. I also have to say that I find it outright rude from parted upstream to remove library functionality which applications are relying on and (part of) which appears not to be provided by any other library or tool (FAT and HFS resizing in particular).
Comment 2 Kevin Kofler 2011-11-11 22:43:25 EST
(kde-partitionmanager also needs parted 2, not 3. GParted supports parted 3 and has been rebuilt against it, but cannot resize FAT and HFS partitions anymore.)
Comment 3 Jim Meyering 2012-03-04 14:18:09 EST
in case you haven't seen, this is fixed in parted-3.1:

      http://thread.gmane.org/gmane.comp.gnu.parted.bugs/10790
Comment 4 Fedora End Of Life 2013-01-16 12:36:02 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 17:27:04 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.